
Redmine - Defect #1640

Custom boolean field ignoring default value setting

2008-07-14 18:04 - Guy Kaiser

Status: Closed Start date: 2008-07-14

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Custom fields Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

A custom field of type 'boolean' is displayed as checked/true in the "New Issue" page even though it's default is false/unchecked in

the field's properties page. If I look at the custom_fields table in MySQL I can see that the default_value field for the property is 0, so

it appears to be saved correctly there.

This is a custom field that was added in the "Custom fields" page, it did not come over from a migration of any sort.

Redmine is running with via a mongrel cluster setup through Apache2.

Software information:

db version: mysqld  Ver 5.0.51a-3ubuntu5.1 for debian-linux-gnu on i486 ((Ubuntu))

ruby version: ruby 1.8.6 (2007-09-24 patchlevel 111) [i486-linux]

rails version: Rails 2.1.0

redmine version: Redmine 0.7.devel.1645 (MySQL)

I would be more than happy to provide any more information that I can about this issue.

Associated revisions

Revision 1668 - 2008-07-14 19:29 - Jean-Philippe Lang

Fixes boolean custom fields tags (broken by r1592) (#1640).

History

#1 - 2008-07-14 19:28 - Jean-Philippe Lang

- Status changed from New to Resolved

- Resolution set to Fixed

This should be fixed in r1668.

Can you confirm ?

#2 - 2008-07-14 19:38 - Guy Kaiser

Jean-Philippe Lang wrote:

This should be fixed in r1668.

Can you confirm ?

 After updating to r1669 I can confirm that this is working correctly and is resolved.

Thank you for the prompt response, and I apologize for not attempting to update to a newer revision before filing this issue. :)

#3 - 2008-07-14 20:39 - Jean-Philippe Lang

- Status changed from Resolved to Closed

I apologize for not attempting to update to a newer revision before filing this issue. :)
https://www.redmine.org/projects/redmine/repository/svn/revisions/1668
https://www.redmine.org/projects/redmine/repository/svn/revisions/1668
https://www.redmine.org/projects/redmine/repository/svn/revisions/1669


 You don't have to apologize, it wasn't fixed before you reported this problem :-)

Thanks for the feedback.
